_PurpleSoundUiOps Struct Reference

Operations used by the core to request that particular sound files, or the sound associated with a particular event, should be played. More...

`#include <sound.h>`

## Data Fields

void(* | init )(void)
void(* | uninit )(void)
void(* | play_file )(const char *filename)
void(* | play_event )(PurpleSoundEventID event)
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

Operations used by the core to request that particular sound files, or the sound associated with a particular event, should be played.

Definition at line 62 of file sound.h.

The documentation for this struct was generated from the following file:

- sound.h